export default {
  api: {
    operationFailed: 'Operation failed',
    errorTip: 'Error Tip',
    errorMessage: 'The operation failed, the system is abnormal!',
    timeoutMessage: 'Login timed out, please login again!',
    apiTimeoutMessage: 'The interface request timed out, please refresh the page and try again!',
    apiRequestFailed: 'The interface request failed, please try again later!',
    networkException: 'network anomaly',
    networkExceptionMsg:
      'Please check if your network connection is normal! The network is abnormal',

    errMsg401: 'Login timeout. Please login.',
    errMsg403: 'The user is authorized, but access is forbidden!',
    errMsg404: 'Network request error, the resource was not found!',
    errMsg405: 'Network request error, request method not allowed!',
    errMsg408: 'Network request timed out!',
    errMsg500: 'Server error, please contact the administrator!',
    errMsg501: 'The network is not implemented!',
    errMsg502: 'Network Error!',
    errMsg503: 'The service is unavailable, the server is temporarily overloaded or maintained!',
    errMsg504: 'Network timeout!',
    errMsg505: 'The http version does not support the request!',
    disbandTeamTips: 'Team not exist',
    userExistTips: 'You were removed from the team',
  },
  app: {
    logoutTip: 'Reminder',
    logoutMessage: 'Confirm to exit the system?',
    menuLoading: 'Menu loading...',
  },
  errorLog: {
    tableTitle: 'Error log list',
    tableColumnType: 'Type',
    tableColumnDate: 'Time',
    tableColumnFile: 'File',
    tableColumnMsg: 'Error message',
    tableColumnStackMsg: 'Stack info',

    tableActionDesc: 'Details',

    modalTitle: 'Error details',

    fireVueError: 'Fire vue error',
    fireResourceError: 'Fire resource error',
    fireAjaxError: 'Fire ajax error',

    enableMessage: 'Only effective when useErrorHandle=true in `/src/settings/projectSetting.ts`.',
  },
  exception: {
    backLogin: 'Back Login',
    backHome: 'Back Home',
    subTitle403: "Sorry, you don't have access to this page.",
    subTitle404: 'Sorry, the page you visited does not exist.',
    subTitle500: 'Sorry, the server is reporting an error.',
    noDataTitle: 'No data on the current page.',
    networkErrorTitle: 'Network Error',
    networkErrorSubTitle:
      'Sorry，Your network connection has been disconnected, please check your network!',
  },
  lock: {
    unlock: 'Unlock',
    alert: 'Lock screen password error',
    backToLogin: 'Back to login',
    entry: 'Enter the system',
    placeholder: 'Please enter the lock screen password or user password',
  },
  login: {
    backSignIn: 'Back sign in',
    signInFormTitle: 'Login',
    signUpFormTitle: 'Sign up',
    forgetFormTitle: 'Reset password',
    joinTeamTitle: 'Input team ID',

    signInTitle: 'Backstage management system',
    signInDesc: 'Enter your personal details and get started!',
    policy: 'I agree to the xxx Privacy Policy',
    scanSign: `scanning the code to complete the login`,

    backButton: 'Back',
    loginButton: 'Login',
    registerButton: 'Sign Up',
    resetPwdButton: 'Submit',
    returnButton: 'Return',
    continueButton: 'Continue',
    joinButton: 'Join',
    rememberMe: 'Remember me',
    forgetPassword: 'Forget Password?',
    otherSignIn: 'Sign in with',

    passwordValidationError: 'Incorrect password format',

    // notify
    loginSuccessTitle: 'Login successful',
    loginSuccessDesc: 'Welcome back',

    // placeholder
    accountPlaceholder: 'Please input User Name',
    emailPlaceholder: 'Please input Email',
    passwordPlaceholder: 'Enter a password',
    smsPlaceholder: 'Please input sms code',
    mobilePlaceholder: 'Please input mobile',
    policyPlaceholder: 'Register after checking',
    diffPwd: 'Passwords didn’t match. Try again.',
    teamNamePlaceholder: 'Please Input team Name',
    joinTeamPlaceholder: 'Please Input team ID',

    userName: 'User Name',
    password: 'Password',
    newPassword: 'New Password',
    confirmPassword: 'Confirm',
    email: 'Email',
    teamName: 'Team Name',
    team: 'Team',

    loginTips: 'Don’t have an account?',
    signUpTips: 'Already have an account?',
    forgetPwdTips: 'Please enter your email to reset password',
    resetPwdTips: 'Reset password of',
    teamIDCopiedTips: 'Team ID has been copied to clipboard!',

    resetSuccessTitle: 'Password has been reset!',
    resetSuccessTips: 'Return to login page in 5 S',
    joinSuccessFeedDescription: 'Join request has been sent.',
    joinSuccessFeedDescription2: 'Please contact team manager for approval.',
    createSuccessFeedDescription: 'Has been created.',
    createSuccessFeedDescription2: 'Your team ID is',
    signupSuccessFeedDescription: 'Registration almost done! Check your email！',
    signupSuccessFeedDescription2: 'Already approved?',
  },
};
